Bug 1445108 - Wrong flash message after ansible playbook catalog item deletion
Summary: Wrong flash message after ansible playbook catalog item deletion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:service:ui
Depends On: 1443120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 00:21 UTC by Satoe Imaishi
Modified: 2017-05-31 14:59 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443120
Environment:
Last Closed: 2017-05-31 14:59:48 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-25 00:23:14 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d2b711c55b90e267457ab1e7caf739eeffa2b36d

commit d2b711c55b90e267457ab1e7caf739eeffa2b36d
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Apr 24 15:26:37 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 20:21:25 2017 -0400

    Merge pull request #1115 from h-kataria/catalog_item_delete_fix
    
    Display error message correctly that is returned from model.
    (cherry picked from commit a0d684c30748a7c8b29a91b06948b2fa695d2362)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445108

 app/controllers/catalog_controller.rb | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

Comment 3 Dmitry Misharov 2017-04-26 09:36:45 UTC
Verified in 5.8.0.12-rc1.20170425180304_4f35996. Flash message now is "Base Destroy aborted. Active Services require retirement resources associated with this instance."

Comment 5 errata-xmlrpc 2017-05-31 14:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.